Disabling the payment link
The method allows you to disable the payment link. You will no longer be able to connect subscriptions and make payments using this payment link
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
Request body to disable the payment link
idstringRequiredExample:
Payment link ID
8a19100c-e2ec-46ba-932f-682d2df79d8bmerchantIdstringRequiredExample:
Merchant ID
6c3428c6-c8b8-444f-9ab0-78c864df1719Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/recurrents/disable-subscriber-billing-link
POST /api-gateway/recurrents/disable-subscriber-billing-link HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"id": "8a19100c-e2ec-46ba-932f-682d2df79d8b",
"merchantId": "6c3428c6-c8b8-444f-9ab0-78c864df1719"
}200Success
{
"success": true,
"response": {
"id": "8a19100c-e2ec-46ba-932f-682d2df79d8b",
"merchantId": "6c3428c6-c8b8-444f-9ab0-78c864df1719",
"currency": "USDT",
"network": "ethereum",
"status": "BLOCKED",
"createdAt": "2026-01-29T11:16:59.959Z",
"updatedAt": "2026-01-29T11:16:59.959Z"
}
}Last updated